package com.ruoyi.ibs.list.domain;

import com.ruoyi.common.core.domain.entity.CustInfoBusiness;
import com.ruoyi.ibs.grid.domain.vo.AddressDetail;
import io.swagger.annotations.ApiModelProperty;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class CustInfoBusinessVo {
    private CustInfoBusiness custInfoBusiness;
    private List<CorporateShareholder> corporateShareholders;

    private Map<String, Map<String,String>> signedProducts;
    List<CmpmUserList> cmpmUserLists;

    //网格客户经理
    private String gridUserName;

    //归属网格信息
    private String gridName;
    //绩效客户经理
    private String cmpmUserName;
    //零售部行政网格信息
    private String XzLsGridUserName;
    private String XzLsGridName;

    private String radarCustFlag;
    //公司部行政网格信息
    private String XzGsGridUserName;
    private String XzGsGridName;
    //运管部行政网格信息
    private String XzYgGridUserName;
    private String XzYgGridName;

    private String community;
    @ApiModelProperty(value = "标签枚举 String：String || name： flag")
    private List<TreeNode> tabEnmuVos;

    @ApiModelProperty(value = "手动打标")
    private List<TreeNode> tagManual;

    /** 九维画像分数 */
    @ApiModelProperty(value = "九维画像分数")
    private Ent9vPortraitOrc ent9vPortrait;

    /** 九维画像详细信息 */
    @ApiModelProperty(value = "九维画像详细信息")
    private NineVFinalInfoOrc nineVFinalInfo;

    public List<TreeNode> getTagManual() {
        return tagManual;
    }

    public void setTagManual(List<TreeNode> tagManual) {
        this.tagManual = tagManual;
    }

    private List<AddressDetail> addressDetails;

    public List<AddressDetail> getAddressDetails() {
        return addressDetails;
    }

    public void setAddressDetails(List<AddressDetail> addressDetails) {
        this.addressDetails = addressDetails;
    }

    public String getCmpmUserName() {
        return cmpmUserName!=null?cmpmUserName:"";
    }

    public void setCmpmUserName(String cmpmUserName) {
        this.cmpmUserName = cmpmUserName;
    }

    public List<CmpmUserList> getCmpmUserLists() {
        return cmpmUserLists;
    }

    public void setCmpmUserLists(List<CmpmUserList> cmpmUserLists) {
        this.cmpmUserLists = cmpmUserLists;
    }

    public CustInfoBusiness getCustInfoBusiness() {
        return custInfoBusiness;
    }

    public void setCustInfoBusiness(CustInfoBusiness custInfoBusiness) {
        this.custInfoBusiness = custInfoBusiness;
    }

    public List<CorporateShareholder> getCorporateShareholders() {
        return corporateShareholders;
    }

    public void setCorporateShareholders(List<CorporateShareholder> corporateShareholders) {
        this.corporateShareholders = corporateShareholders;
    }

    public Map<String, Map<String, String>> getSignedProducts() {
        return signedProducts;
    }

    public void setSignedProducts(Map<String, Map<String, String>> signedProducts) {
        this.signedProducts = signedProducts;
    }

    public String getGridUserName() {
        return gridUserName!=null?gridUserName:"";
    }

    public void setGridUserName(String gridUserName) {
        this.gridUserName = gridUserName;
    }

    public String getGridName() {
        return gridName!=null?gridName:"";
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getXzLsGridUserName() {
        return XzLsGridUserName;
    }

    public void setXzLsGridUserName(String xzLsGridUserName) {
        XzLsGridUserName = xzLsGridUserName;
    }

    public String getXzLsGridName() {
        return XzLsGridName;
    }

    public void setXzLsGridName(String xzLsGridName) {
        XzLsGridName = xzLsGridName;
    }

    public String getXzGsGridUserName() {
        return XzGsGridUserName;
    }

    public void setXzGsGridUserName(String xzGsGridUserName) {
        XzGsGridUserName = xzGsGridUserName;
    }

    public String getXzGsGridName() {
        return XzGsGridName;
    }

    public void setXzGsGridName(String xzGsGridName) {
        XzGsGridName = xzGsGridName;
    }

    public String getXzYgGridUserName() {
        return XzYgGridUserName;
    }

    public void setXzYgGridUserName(String xzYgGridUserName) {
        XzYgGridUserName = xzYgGridUserName;
    }

    public String getXzYgGridName() {
        return XzYgGridName;
    }

    public void setXzYgGridName(String xzYgGridName) {
        XzYgGridName = xzYgGridName;
    }

    public String getCommunity() {
        return community;
    }

    public void setCommunity(String community) {
        this.community = community;
    }

    public String getRadarCustFlag() {
        return radarCustFlag;
    }

    public void setRadarCustFlag(String radarCustFlag) {
        this.radarCustFlag = radarCustFlag;
    }


    public List<TreeNode> getTabEnmuVos() {
        return tabEnmuVos;
    }

    public void setTabEnmuVos(List<TreeNode> tabEnmuVos) {
        this.tabEnmuVos = tabEnmuVos;
    }

    public Ent9vPortraitOrc getEnt9vPortrait() {
        return ent9vPortrait;
    }

    public void setEnt9vPortrait(Ent9vPortraitOrc ent9vPortrait) {
        this.ent9vPortrait = ent9vPortrait;
    }

    public NineVFinalInfoOrc getNineVFinalInfo() {
        return nineVFinalInfo;
    }

    public void setNineVFinalInfo(NineVFinalInfoOrc nineVFinalInfo) {
        this.nineVFinalInfo = nineVFinalInfo;
    }
}
